# MPI_File_close

MPI_File_close − Closes a file (collective).

## SYNTAX

C Syntax
#include <mpi.h>
int MPI_File_close(MPI_File *fh)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_FILE_CLOSE(FH, IERROR)

| INTEGER |  |  | FH, IERROR

## C++ Syntax

#include <mpi.h>
void MPI::File::Close()

## INPUT/OUTPUT PARAMETER

| fh |  | File handle (handle). |

## OUTPUT PARAMETER

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_File_close first synchronizes file state, then closes the file associated with fh. MPI_File_close is a collective routine. The user is responsible for ensuring that all outstanding requests associated with fh have completed before calling MPI_File_close.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index